<script setup lang="ts">
defineProps({
  tag: { type: String, required: false, default: "div" },
});
</script>

<template>
  <transition-group name="card" :tag="tag">
    <slot />
  </transition-group>
</template>

<style>
.card-move, /* apply transition to moving elements */
.card-enter-active,
.card-leave-active {
  transition: all 0.5s ease;
}

.card-enter-from,
.card-leave-to {
  opacity: 0;
  transform: scale(0);
}

/* ensure leaving items are taken out of layout flow so that moving
   animations can be calculated correctly. */
.card-leave-active {
  position: absolute;
}
</style>
